story1/urls.py
from django.urls import path

from . import views

app_name = 'story1'

urlpatterns = [
    path('', views.index, name='index'),
]

story3/urls.py
from django.urls import path

from . import views

app_name = 'story3'

urlpatterns = [
    path('', views.index, name='index'),
    path('extras/', views.extras, name='extras')
]

story9/urls.py
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('login/', views.login_request, name='login'),
    path('signup/', views.signup_request, name='signup'),
    path('logout/', views.logout_request, name='logout')
]

storyppw/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story3.urls')),
    path('story3/', include('story3.urls')),
    path('story1/', include('story1.urls')),
    path('story5/', include('story5.urls')),
    path('story6/', include('story6.urls')),
    path('story7/', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('story9/', include('story9.urls'))
]

story9/models.py
from django.db import models

# Create your models here.

story9/views.py
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.forms import AuthenticationForm, UserCreationForm
from django.contrib import messages
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect

def login_request(request):
    if request.method == 'POST':
        username = request.POST.get('username')
        password = request.POST.get('password')
        arg = request.GET.get('next')

        user = authenticate(request, username=username, password=password)

        if user is not None:
            login(request, user)
            if arg is not None:
                return redirect(arg)
            else:
                return redirect('story3:index')
                
        else:
            messages.info(request, "Username or password is incorrect.")

    return render(request, 'story9/login.html')

def signup_request(request):
    if request.method == 'POST':
        form = UserCreationForm(request.POST)
        if form.is_valid():
            form.save()
            messages.success(request, "New account successfully created.")
            return redirect('story9:login')

    elif request.method == 'GET':
        form = UserCreationForm()
    return render(request, 'story9/signup.html', {'form': form})

def logout_request(request):
    logout(request)
    return redirect('story3:index')

story9/templates/story9/login.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 8</title>
<link rel='stylesheet' href="{% static 'story3/css/style.css' %}">
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section-new login">
        <div class="section-title">
            <h1 class="section-title-h1">Login</h1>
            <div class="underline login"></div>
        </div>
        <div class="login-part">
            <form method="POST">
                {% csrf_token %}
                <div class="login-field">
                    <p>Username:</p>
                    <input name="username">
                </div>
                <div class="login-field">
                    <p>Password:</p>
                    <input name="password" type="password">
                </div>
                
                {% for message in messages %}  
                    <div class="login-message">
                        <p>{{ message }}</p>
                    </div>
                {% endfor %}
                <button class="story5 btn" style="margin-bottom:1rem;" type="submit">Login</button>
                <p>Don't have an account? <a href="{% url 'story9:signup' %}">Sign up</a>.</p>
            </form>
        </div>
    </div>
</div>
{% endblock content %}

story9/templates/story9/signup.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 8</title>
<link rel='stylesheet' href="{% static 'story3/css/style.css' %}">
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section-new signup">
        <div class="section-title">
            <h1 class="section-title-h1">Sign Up</h1>
            <div class="underline signup"></div>
        </div>
        <div class="signup-part">
            <form method="POST">
                {% csrf_token %}
                <div class="signup-field">
                    <p>Username:</p>
                    {{ form.username }}
                </div>
                <div class="signup-field">
                    <p>Password:</p>
                    {{ form.password1 }}
                </div>
                <div class="signup-field">
                    <p>Confirm password:</p>
                    {{ form.password2 }}
                </div>
                {% if form.errors.values %}
                    <div class="signup-errors">
                        {% for error in form.errors.values %}
                            {{ error }}
                        {% endfor %}
                    </div>
                {% endif %}
                <button class="story5 btn" style="margin-bottom:1rem;" type="submit">Sign Up</button>
                <p>Already have an account? <a href="{% url 'story9:login' %}">Login</a>.</p>
            </form>
        </div>
    </div>
</div>
{% endblock content %}